> ## Documentation Index
> Fetch the complete documentation index at: https://docs.grdd.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Search fleet vehicles by location

> Cross-operator fleet search on core. Send airports, or lat and lon (both). limit is applied only for accounts on the Professional plan or higher. Other accounts always get 20.



## OpenAPI

````yaml /connect-api/openapi.json get /api/search/fleet
openapi: 3.0.0
info:
  title: GNet Connect API
  version: 1.0.0
  description: API for the GNet Connect platform
servers:
  - url: https://core.grdd.dev
    description: Development server
  - url: https://core.grdd.net
    description: Production server
security: []
paths:
  /api/search/fleet:
    get:
      tags:
        - fleet
      summary: Search fleet vehicles by location
      description: >-
        Cross-operator fleet search on core. Send airports, or lat and lon
        (both). limit is applied only for accounts on the Professional plan or
        higher. Other accounts always get 20.
      operationId: search_fleet
      parameters:
        - name: airports
          in: query
          required: false
          schema:
            type: string
          description: Comma-separated IATA codes. Required unless lat and lon are sent.
          example: LAX,SNA
        - name: lat
          in: query
          required: false
          schema:
            type: number
            minimum: -90
            maximum: 90
        - name: lon
          in: query
          required: false
          schema:
            type: number
            minimum: -180
            maximum: 180
        - name: types
          in: query
          required: false
          schema:
            type: string
          example: sedan,suv
        - name: q
          in: query
          required: false
          schema:
            type: string
        - name: radius_km
          in: query
          required: false
          schema:
            type: number
            minimum: 0
            exclusiveMinimum: true
            default: 50
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 20
            minimum: 1
            maximum: 100
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            default: 0
            minimum: 0
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    type: object
                    properties:
                      items:
                        type: array
                        items:
                          type: object
                          properties:
                            griddid:
                              type: string
                            type:
                              type: string
                            name:
                              type: string
                            description:
                              type: string
                            imageUrl:
                              type: string
                              nullable: true
                            maxPassengers:
                              type: number
                            maxLuggage:
                              type: number
                            lat:
                              type: number
                            lon:
                              type: number
                            distanceKm:
                              type: number
                            score:
                              type: number
                            minimum_rate:
                              type: number
                            hourly_rate:
                              type: number
                            slug:
                              type: string
                      total:
                        type: integer
                      warnings:
                        type: array
                        items:
                          type: object
                          properties:
                            code:
                              type: string
                              enum:
                                - UNRESOLVABLE_AIRPORT
                                - MISSING_GPS
                            griddid:
                              type: string
                            detail:
                              type: string
        '400':
          description: Invalid or missing location, lat, lon or radius_km
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CoreError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CoreError'
        '404':
          description: User profile not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CoreError'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CoreError'
      security:
        - bearerAuth: []
components:
  schemas:
    CoreError:
      type: object
      properties:
        success:
          type: boolean
          example: false
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.